#2184 closed defect (fixed)

AttributeError: 'module' object has no attribute 'algorithms' when building a tool set.

Reported by: Alana Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I'm trying to use the RTEMS Source Builder to create a SPARC build tool set. I get the below error:

[~]$ mkdir -p $HOME/development/rtems/src
[~]$ cd $HOME/development/rtems/src
[src]$ git clone git://git.rtems.org/rtems-source-builder.git
Initialized empty Git repository in /home/user/development/rtems/src/rtems-source-builder/.git/
remote: Counting objects: 4171, done.
remote: Compressing objects: 100% (3831/3831), done.
remote: Total 4171 (delta 2780), reused 555 (delta 312)
Receiving objects: 100% (4171/4171), 2.28 MiB | 593 KiB/s, done.
Resolving deltas: 100% (2780/2780), done.
[src]$ cd rtems-source-builder
[rtems-source-builder]$ source-builder/sb-check
RTEMS Source Builder - Check, v0.4.0
Environment is ok
[rtems-source-builder]$ cd rtems
[rtems]$ ../source-builder/sb-set-builder --log=l-sparc.txt --prefix=$HOME/development/rtems/4.10 4.10/rtems-sparc
RTEMS Source Builder - Set Builder, v0.4.0
Build Set: 4.10/rtems-sparc
config: devel/expat-2.1.0-1.cfg
package: expat-2.1.0-x86_64-linux-gnu-1
Creating source directory: sources
download: http://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz -> sources/expat-2.1.0.tar.gz
downloading: sources/expat-2.1.0.tar.gz - 549.4kB of 549.4kB (100%)
Build Set: Time 0:00:01.185820
Traceback (most recent call last):

File "../source-builder/sb-set-builder", line 26, in <module>

setbuilder.run()

File "../source-builder/sb/setbuilder.py", line 468, in run

b.build(deps)

File "../source-builder/sb/setbuilder.py", line 343, in build

self.build_package(configs[s], b)

File "../source-builder/sb/setbuilder.py", line 179, in build_package

_build.make()

File "../source-builder/sb/build.py", line 421, in make

self.prep(package)

File "../source-builder/sb/build.py", line 317, in prep

self.source_setup(package, args[1:])

File "../source-builder/sb/build.py", line 219, in source_setup

for source in self.source(setup_name):

File "../source-builder/sb/build.py", line 174, in source

download.get_file(srcurl?, srclocal?, self.opts, self.config)

File "../source-builder/sb/download.py", line 441, in get_file

if downloaders[dl](url, local, config, opts):

File "../source-builder/sb/download.py", line 303, in _http_downloader

if not _hash_check(path.basename(local), local, config.macros, False):

File "../source-builder/sb/download.py", line 61, in _hash_check

if hash[0] not in hashlib.algorithms:

AttributeError?: 'module' object has no attribute 'algorithms'

My setup is the below:
Host: Scientific Linux 6.5 x86-64 (VMware Virtual Machine under a Xubuntu 12.04.4 host)
Python Version: 2.6.6

Is Python 2.6.6 not supported?

Attachments (1)

rsb-report-sparc-rtems4.10-kernel-4.10.2-1.txt (13.1 KB) - added by Alana on Aug 5, 2014 at 2:38:13 AM.
RSB report for sparc-rtems4.10-kernel-4.10.2-1.

Download all attachments as: .zip

Change History (5)

Changed on Aug 5, 2014 at 2:38:13 AM by Alana

RSB report for sparc-rtems4.10-kernel-4.10.2-1.

comment:1 Changed on Aug 5, 2014 at 4:03:00 PM by Alana

Resolution: fixed
Status: newclosed

comment:2 Changed on Aug 7, 2014 at 2:26:27 AM by Chris Johns

Fixed.

comment:3 Changed on Nov 22, 2014 at 12:29:09 PM by Gedare Bloom

Component: OtherRSB
Milestone: 4.11

comment:4 Changed on Oct 10, 2017 at 6:12:28 AM by Sebastian Huber

Component: Otherunspecified
Note: See TracTickets for help on using tickets.